Skip to main content
POST
https://api.dintero.com/v1
/
examples
/
checkout_authorization
checkout_authorization
curl --request POST \
  --url https://api.dintero.com/v1/examples/checkout_authorization \
  --header 'content-type: <content-type>' \
  --header 'event: <event>' \
  --header 'event-delivery: <event-delivery>' \
  --data '
{
  "account_id": "P12345678",
  "event": "checkout_authorization",
  "event_delivery": "9ebb6d41-dca5-484e-8330-9c9fa96b60ba",
  "authorization": {
    "merchant_reference": "<string>",
    "session_id": "<string>",
    "transaction_id": "<string>",
    "error": "cancelled"
  }
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.dintero.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

event
string
required
event-delivery
string
required
event-signature
string
content-type
string
required

Body

application/json
account_id
string
required
Example:

"P12345678"

event
enum<string>
required
Available options:
checkout_authorization
Example:

"checkout_authorization"

event_delivery
string<uuid>
required
Example:

"9ebb6d41-dca5-484e-8330-9c9fa96b60ba"

authorization
object
required
transaction
object

The transaction details, see Checkout API https://docs.dintero.com/checkout-api.html#operation/transactions_id_get for complete description of all properties that can be included in the transaction object

No transaction will be included in the event if the authorization was cancelled by the user

Response

event handled